LFR-FSW - Bug #59

TC_LFR_DISABLE_CALIBRATION a implémenter
20/02/2014 09:40 AM - Gerald Saule

Status: Closed Start date: 20/02/2014
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: rog

Description

TC_LFR_DISABLE_CALIBRATION provoque un retour de TM_LFR_TC_EXE_NOT_IMPLEMENTED. Le retour spécifié est
TM_LFR_TC_EXE_SUCCESS (dans le cas nominal).
Ce comportement indique fidélement la non-implémentation du traitement de cette TC.

15:49:41.484539, TC_LFR_DISABLE_CALIBRATION, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=4040, (PACKET_SEQUENCE_CONTROL=0xcfc8), PACKET_LENGTH=5,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=0,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DISABLE_CALIBRATION = 63, SOURCE_ID: MISSION_TIMELINE =
110, CRC = 0x45bd

15:49:41.486812, TM_LFR_TC_EXE_NOT_IMPLEMENTED, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE:
TM_PACKET =0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76,
PACKET_CATEGORY: ACKNOWLEDGE = 1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=56, (PACKET_SEQUENCE_CONTROL=0xc038), PACKET_LENGTH=17,
SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1,
SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_FAILURE = 8, DESTINATION_ID: MISSION_TIMELINE = 110,
TIME=0x80015f15bbea, PA_RPW_TC_FAILURE_CODE: FUNCT_NOT_IMPL = 42002,
PA_RPW_TELECOMMAND_PKT_ID=0x1ccc, PA_RPW_PKT_SEQ_CONTROL=0xcfc8, PA_RPW_TC_SERVICE=181,
PA_RPW_TC_SUBTYPE=63

(Cette issue reprend Bug #494 de pc-instru)
Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR: LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0001_step03

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 04/03/2014 12:29 PM - paul leroy

- Status changed from New to In Progress

I'implémentation de la TC requiére le développement d'un module spécifique pour le VHDL

#2 - 10/02/2015 03:19 PM - paul leroy
- Status changed from In Progress to Resolved

- Assignee changed from paul leroy to bruno katra
https://hephaistos.lpp.polytechnique.fr/redmine/issues/494

TC_LFR_DISABLE_CALIBRATION implémentée.
FSW >=2.0.2.2
VHDL >=x.1.63

#3 - 10/06/2015 10:10 AM - Veronique bouzid

- Status changed from Resolved to Closed

la TC est bien implémentée dans le soft 2.0.x.x.

Le comportement de la TC a été testée en 2.0.2.3 et en 3.0.0.x.

Le VHDL utilisé etant x.1.68 et x.1.83
